New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

What's your ES2015 (ES6) config like? #250

Closed
alebelcor opened this Issue Oct 5, 2015 · 1 comment

Comments

2 participants
@alebelcor
Copy link

alebelcor commented Oct 5, 2015

I see you recently started writing in ES2015 (ES6).

Are you transpiling your code to ES5 or just using Node 4+?

P.S. Thanks for your code! lots of inspiration to draw from.

@sindresorhus

This comment has been minimized.

Copy link
Owner

sindresorhus commented Oct 5, 2015

For CLI tools, I'm now starting to target latest Node.js (meaning ES2015 goodies!). Since this is something users install directly on their own system I feel I can force a recent Node.js version. I've also started using ES2015 in my readme usage examples. Reusable modules, however, will stay with Node.js 0.10 compatibility out the LTS period. I use Babel for apps and some larger modules, like Pageres. I write all my tests in ES2015++ (async/await ftw!) since AVA comes with it builtin using the Babel require hook. Example.

@sindresorhus sindresorhus changed the title What's your ES6 (ES2015) config like? What's your ES2015 (ES6) config like? Oct 5, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment